> For the complete documentation index, see [llms.txt](https://docs.gradient.works/kb/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gradient.works/kb/automation-builder-kit-abk/actions/advanced/enqueueoneaction.md).

# Enqueue Single Item

Adds an item to a Gradient Works Queue. The item may be of any type (e.g. Account, Lead, etc). This \*\*does not\*\* assign the item immediately, instead it is put in a pending state in the Queue.

If you specify a capacity using `capacityValue` or `capacityValueField`, that value will be used in capacity calculations when assigning the item to a user. For example, if you specify a `capacityValue` of 5, users must have an `availableCapacity` greater than or equal to 5 to be eligible for assignment.

Why use this instead of [Assign Single Item](/kb/automation-builder-kit-abk/actions/assignment/assignsingleitemaction.md)? In some cases it can be more efficient to add many items to the queue through various steps in a Flow and then perform the assignments all at once. You can explicitly trigger assignment for a particular queue by including [Assign Pending Items for Single Queue](/kb/automation-builder-kit-abk/actions/advanced/assignpendingsinglequeueaction.md) or [Assign Pending Items for Multiple Queues](/kb/automation-builder-kit-abk/actions/advanced/assignpendingmultiqueueaction.md) in your Flow. If you don't explicitly trigger assignment in your Flow, Gradient Works will assign the pending items at some point in the near future.

## Inputs

| Name               | Required | Type    | Description                                          |
| ------------------ | -------- | ------- | ---------------------------------------------------- |
| item               | Yes      | SObject | Item to add to the queue                             |
| queue              | Yes      | String  | The queue to add to. May be an Id or the queue name. |
| capacityValue      | No       | Long    | Item capacity value                                  |
| capacityValueField | No       | String  | Retrieve capacity value from this field on the item  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.gradient.works/kb/automation-builder-kit-abk/actions/advanced/enqueueoneaction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
